﻿local Engine, Api, Locale, Settings = unpack(Immersive)

local Default = Engine:GetModule("Default")
local Element = nil

-- Registers the element.
function Default:RegisterPetActionBarFrame()
	local settings = Settings:Get(self.Name).Elements["PetActionBarFrame"]
	Element = Api:RegisterElement("PetActionBarFrame", settings)
	
	-- Add frames
	Element:AddFrame(PetActionBarFrame)
	
	-- Add conditions
	Element:AddConditionRange(settings.Conditions)
	
	-- Add hotspots
	Element:AddHotspot(PetActionBarFrame:GetRect())
	
	self:RegisterEvent("UNIT_PET", "OnUnitPet")
end

-- Unregisters the element.
function Default:UnregisterPetActionBarFrame()
	self:UnregisterEvent("UNIT_PET")

	Api:UnregisterElement("PetActionBarFrame")
end

-- Occurs when a pet unit event is fired.
function Default:OnUnitPet(event, unit)
	if unit == "player" then
		Element:ClearHotspots()
		Element:AddHotspot(PetActionBarFrame:GetRect())
	end
end